<div class="content">
	<div class="container-fluid">
		<div class="row mt-4">
			<div class="col-lg-8 offset-lg-2">
				<app-alerts [error]="error" [success]="success"></app-alerts>
			</div>
		</div>
		<div class="row mt-4">
			<div class="col-3"></div>
			<div class="col-3 text-center">
				<div
					class="mx-auto circle"
					[ngClass]="user ? 'active' : ''"
					(click)="inverse(1)"
				>
					<i class="fa fa-user"></i>
				</div>
				<h3>Data User</h3>
			</div>
			<div class="col-3 text-center">
				<div
					class="mx-auto circle"
					[ngClass]="address ? 'active' : ''"
					(click)="inverse(2)"
				>
					<i class="fa fa-map-marker"></i>
				</div>
				<h3 class="text-center">Address</h3>
			</div>
			<div class="col-3"></div>
		</div>
		<div *ngIf="user" class="mt-4 row">
			<div class="col-lg-8 offset-lg-2">
				<form>
					<div class="row">
						<div class="col-sm-12">
							<div class="form-group">
								<label
									>Nombre
									<span class="text-danger">*</span></label
								>
								<input
									class="form-control"
									required
									type="text"
									[(ngModel)]="usuario.FirstName"
									name="firstName"
								/>
							</div>
						</div>
						<div class="col-sm-12">
							<div class="form-group">
								<label>Apellido</label>
								<input
									class="form-control"
									type="text"
									required
									[(ngModel)]="usuario.LastName"
									name="lastname"
								/>
							</div>
						</div>
						<div class="col-sm-12">
							<div class="form-group">
								<label
									>Email
									<span class="text-danger">*</span></label
								>
								<input
									class="form-control"
									type="email"
									required
									[(ngModel)]="usuario.email"
									name="email"
								/>
							</div>
						</div>
					</div>
					<ng-container
						*ngIf="
							usuario.FirstName &&
							usuario.LastName &&
							usuario.email
						"
					>
						<div class="m-t-20 text-center">
							<ng-container *ngIf="id; else create">
								<button
									class="btn btn-success submit-btn"
									(click)="inverse(2)"
								>
									Next step
								</button>
							</ng-container>
							<ng-template #create>
								<ng-container>
									<button
										class="btn btn-primary submit-btn"
										(click)="createUser()"
									>
										Next Step
									</button>
								</ng-container>
							</ng-template>
						</div>
					</ng-container>
				</form>
			</div>
		</div>
		<div *ngIf="address" class="mt-4 row">
			<div class="col-lg-8 offset-lg-2">
				<form>
					<div class="row">
						<div class="col-sm-12">
							<div class="form-group">
								<label
									>Pais
									<span class="text-danger">*</span></label
								>
								<select2
									name="country"
									[data]="country"
									[width]="'100%'"
									[(ngModel)]="informacion.country"
									ngDefaultControl
									(valueChanged)="
										informacion.country = $event.value
									"
								></select2>
							</div>
						</div>
					</div>

					<div class="m-t-20 text-center">
						<button
							class="btn btn-warning submit-btn"
							(click)="inverse(1)"
						>
							Last step
						</button>
						<ng-container *ngIf="informacion.country">
							<button
								class="btn btn-primary submit-btn"
								(click)="saveUser()"
							>
								Create User
							</button>
						</ng-container>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
